Carts & CheckoutCarts
List cart shipping options
GET
/v1/carts/{cartToken}/shipping-optionsList cart shipping options. A successful request returns HTTP 200 with the documented response body.
Path Parameters
cartToken*string
Opaque token identifying the cart.
Query Parameters
postalCode?string
scheduledDate?string
Format
datescheduledTime?string
Format
timeHeader Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/carts/replace_with_the_issued_token/shipping-options" \ -H "x-Store-Domain: my-store"{ "groups": [ { "sellerId": "7204558912004325301", "shippingProfileId": "7204558912004325301", "orderAmount": 1, "totalWeight": 1, "itemIds": [ "example" ], "rates": [ { "shippingMethodId": "7204558912004325301", "name": "Example resource", "displayName": "Example resource", "type": "regular", "price": 1, "currency": "PEN", "sortOrder": 1, "rateId": "7204558912004325301", "description": "Example description.", "deliveryLocationId": "7204558912004325301", "deliveryLocationName": "Example resource", "deliveryLeadTimeInMinutes": 1, "deliveryMinHours": 1, "deliveryMaxHours": 1, "deliveryInstructions": "example", "deliveryPostalCodes": [ "example" ], "deliveryZoneName": "Example resource", "deliveryZonePostalCodes": [ "example" ], "deliveryZoneRadiusKm": 1, "estimatedDeliveryDays": 1, "estimatedDeliveryHours": 1, "estimatedDeliveryFromDate": "2026-08-01", "estimatedDeliveryToDate": "2026-08-01", "isLiveQuote": false, "serviceCode": "example_code", "serviceName": "Example resource", "metadata": {} } ], "sellerName": "Example resource" } ]}